/*
 * main.h, vi: tabstop=4
 *
 * Copyright (C) 1997 Rasca Gmelch, Berlin
 * EMail: thron@gmx.de
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#define XtNfps		"fps"
#define XtCFps		"Fps"
#define XtNverbose	"verbose"
#define XtCVerbose	"Verbose"
#define XtNcapWidth	"capWidth"
#define XtCCapWidth	"CapWidth"
#define XtNcapHeight	"capHeight"
#define XtCCapHeight	"CapHeight"
#define XtNtime		"time"
#define XtCTime		"Time"
#define XtNframes	"frames"
#define XtCFrames	"Frames"
#define XtNstartNo	"startNo"
#define XtCStartNo	"StartNo"
#define XtNcomp		"compress"
#define XtCComp		"Compress"
#define XtNquality	"quality"
#define XtCQuality	"Quality"
#define XtNbpp		"bpp"
#define XtCBpp		"Bpp"
#define XtNsource	"source"
#define XtCSource	"Source"
#define XtNsndDev	"sndDevice"
#define XtCSndDev	"SndDevice"
#define XtNsndRate	"sndRate"
#define XtCSndRate	"SndRate"
#define XtNsndSize	"sndSampleSize"
#define XtCSndSize	"SndSampleSize"
#define XtNanimate	"animateCommand"
#define XtCAnimate	"AnimateCommand"
#define XtNedit		"editCommand"
#define XtCEdit		"EditCommand"
#define XtNhelp		"helpCommand"
#define XtCHelp		"HelpCommand"
#define XtNmkVideo		"mkVideoCommand"
#define XtCMkVideo		"MkVideoCommand"

/* some flags
 */
#define FLG_NONE			0
#define FLG_MNG_CLONE		1
#define FLG_RUN_VERBOSE		2
#define FLG_EXPAND_TO_24BIT	4
#define FLG_MULTI_IMAGE		8
#define FLG_USE_SHM			16
#define FLG_USE_DGA			32
#define FLG_USE_V4L			64
#define FLG_SOURCE			(FLG_USE_DGA | FLG_USE_SHM | FLG_USE_V4L)
#define FLG_REC_SND			128
#define FLG_SYNC			256

#ifndef max
#define max(a,b) (a>b? a:b)
#endif
#ifndef min
#define min(a,b) (a<b? a:b)
#endif

